<template>
	<div ref="sysMsg" class="system-message">
		{{ msg }}
	</div>
</template>

<script>

export default {
	name: "SystemMessage",
	props: {
		msg: String,
	},
	methods: {
		fadeInOut() {
			this.sleep(10)
				.then(() => this.$refs.sysMsg.classList.add("system-message--show"))
				.then(() => this.sleep(1500))
				.then(() => this.$refs.sysMsg.classList.remove("system-message--show"))
				.then(() => this.sleep(200))
				.then(() => this.$emit("update:msg", ""));
		},
		sleep(ms) {
			return new Promise(resolve => {
				setTimeout(resolve, ms);
			})
		}
	},
	mounted() {
		this.fadeInOut();
	}
}
</script>

<style scoped>

</style>